## org.eclipse.jet.core.parser
Interface IProblem

    public interface IProblem

Describe a parsing problem This interface is not intended to be implemented by clients

Field Summary
`static int` `DeprecatedAttribute` Use of an attribute that has been deprecated.
`static int` `DeprecatedTag` Use of the tag has been deprecated.
`static int` `DuplicateAttribute` Represent a duplicate attribute in an XML Tag;
`static int` `DuplicateXMLNamespacePrefix` Error Id for taglib directive that defines a prefix defined by a preceding taglib directive
`static int` `EndDirectiveOutOfContext` A <%%@ end %> directive was found other than after a <%%@ include fail="alternative" %> and <%%@ start %> directive.
`static int` `JETException` An underlying JETException was thrown by the JET parser
`static int` `MissingEndDirective` An <%%@ include fail="alternative" %> directive has a <%%@ start %> directive, but no <%%@ end %> directive.
`static int` `MissingFile` An %@include directive could not resolve a referenced file.
`static int` `MissingIncludeAlternative` An <%%@ include fail="alternative" %> directive has not <%%@ start %> and <%%@ end %> directives.
`static int` `MissingRequiredAttribute` Error Id for an XML tag or JET directive that is missing a required attribute
`static int` `MissingXmlEndTag` Error Id for an XML start tag that has no corresponding end tag.
`static int` `MissingXmlStartTag` Error Id for an XML end tag that has no corresponding start tag.
`static int` `MultipleTemplatesWithSameJavaClass` Two templates specify that they compile to the same Java Class
`static int` `StartDirectiveOutOfContext` A <%%@ start %> directive was found other than after a <%%@ include fail="alternative" %> directive.
`static int` `TagCannotBeEmpty` Tag must have content - the tag must be of the form <tagName>xxx</tagName>.
`static int` `TagCannotHaveContent` Tag may not have a body - the tag must be of the form <tagName/>.
`static int` `TagInterpretedAsEmptyTag` A tag this is declared as an 'emptyTag' occured as <tag ...
`static int` `UnknownAttributeInTag` Error Id for an attribute that is not defined in the tag definition
`static int` `UnknownTagLibrary` Error Id for taglib directive that defines references an unknown tag library id
`static int` `UnknownXMLTag` A tag that has a known tag library prefix, but is not a recognized name.
`static int` `UnsupportedDirective` Unsupported Directive.
`static int` `UnterminatedXMLTag` Represent an unterminated XML Tag

Field Detail

### MissingXmlStartTag

    static final int MissingXmlStartTag

  Error Id for an XML end tag that has no corresponding start tag.

  See Also:
    Constant Field Values

### MissingXmlEndTag

    static final int MissingXmlEndTag

  Error Id for an XML start tag that has no corresponding end tag.

  See Also:
    Constant Field Values

### MissingRequiredAttribute

    static final int MissingRequiredAttribute

  Error Id for an XML tag or JET directive that is missing a required attribute

  See Also:
    Constant Field Values

### DuplicateXMLNamespacePrefix

    static final int DuplicateXMLNamespacePrefix

  Error Id for taglib directive that defines a prefix defined by a preceding taglib directive

  See Also:
    Constant Field Values

### UnknownTagLibrary

    static final int UnknownTagLibrary

  Error Id for taglib directive that defines references an unknown tag library id

  See Also:
    Constant Field Values

### UnknownAttributeInTag

    static final int UnknownAttributeInTag

  Error Id for an attribute that is not defined in the tag definition

  See Also:
    Constant Field Values

### UnterminatedXMLTag

    static final int UnterminatedXMLTag

  Represent an unterminated XML Tag

  See Also:
    Constant Field Values

### DuplicateAttribute

    static final int DuplicateAttribute

  Represent a duplicate attribute in an XML Tag;

  See Also:
    Constant Field Values

### JETException

    static final int JETException

  An underlying JETException was thrown by the JET parser

  See Also:
    Constant Field Values

### MultipleTemplatesWithSameJavaClass

    static final int MultipleTemplatesWithSameJavaClass

  Two templates specify that they compile to the same Java Class

  See Also:
    Constant Field Values

### DeprecatedAttribute

    static final int DeprecatedAttribute

  Use of an attribute that has been deprecated.

  See Also:
    Constant Field Values

### TagCannotHaveContent

    static final int TagCannotHaveContent

  Tag may not have a body - the tag must be of the form <tagName/>.

  See Also:
    Constant Field Values

### TagCannotBeEmpty

    static final int TagCannotBeEmpty

  Tag must have content - the tag must be of the form <tagName>xxx</tagName>.

  See Also:
    Constant Field Values

### DeprecatedTag

    static final int DeprecatedTag

  Use of the tag has been deprecated.

  See Also:
    Constant Field Values

### UnsupportedDirective

    static final int UnsupportedDirective

  Unsupported Directive.

  See Also:
    Constant Field Values

### UnknownXMLTag

    static final int UnknownXMLTag

  A tag that has a known tag library prefix, but is not a recognized name. Usually indicates a typographical error.

  See Also:
    Constant Field Values

### TagInterpretedAsEmptyTag

    static final int TagInterpretedAsEmptyTag

  A tag this is declared as an 'emptyTag' occured as <tag ...>, and has been interpreted as the equivalent empty tag <tag .../>.

  See Also:
    Constant Field Values

### MissingFile

    static final int MissingFile

  An %@include directive could not resolve a referenced file.

  See Also:
    Constant Field Values

### StartDirectiveOutOfContext

    static final int StartDirectiveOutOfContext

  A <%%@ start %> directive was found other than after a <%%@ include fail="alternative" %> directive.

  See Also:
    Constant Field Values

### EndDirectiveOutOfContext

    static final int EndDirectiveOutOfContext

  A <%%@ end %> directive was found other than after a <%%@ include fail="alternative" %> and <%%@ start %> directive.

  See Also:
    Constant Field Values

### MissingEndDirective

    static final int MissingEndDirective

  An <%%@ include fail="alternative" %> directive has a <%%@ start %> directive, but no <%%@ end %> directive.

  See Also:
    Constant Field Values

### MissingIncludeAlternative

    static final int MissingIncludeAlternative

  An <%%@ include fail="alternative" %> directive has not <%%@ start %> and <%%@ end %> directives.

  See Also:
    Constant Field Values

Copyright 2006 IBM Corporation and others. All Rights Reserved.